This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 909032 - Project version's project type should default to that of the project
Project version's project type should default to that of the project
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
development
Unspecified Unspecified
unspecified Severity low
: ---
: 2.2
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-08 00:27 EST by David Mason
Modified: 2013-11-26 22:35 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.2-SNAPSHOT (20130215-1232)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:23:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Mason 2013-02-08 00:27:14 EST
Description of problem:
On the edit-version page of the website, it should be possible to set the version to automatically use the project type of the parent project, but the dropdown list for project type does not present such an option, and there is no checkbox or button to select whether to inherit the setting.

Version-Release number of selected component (if applicable):
2.2-SNAPSHOT (20130208-1232)

How reproducible:
Always

Steps to Reproduce:
1.Sign in as admin or maintainer and navigate to any project-version that you have edit permission for
2.Click 'Edit Version' link
3.Try to set version to inherit...
  
Actual results:
There is no way to set version to inherit from parent project

Expected results:
Version is initially be set to inherit project type from parent project, and there is a way to change between inheriting and using a specified type, and back to inheriting.

Additional info:
Comment 1 Sean Flanigan 2013-02-08 00:30:33 EST
I think this is another case where the subordinate should copy the parent, *not* inherit.

So the version should copy (ie default to) the parent's project type (when created), and then keep it thereafter.  Then if the parent's project type changes, the child won't automatically change.  Which is fine.

Is that what we've got?
Comment 2 Alex Eng 2013-02-08 00:34:57 EST
That is the case for mvn:zanata push-version. I will implement the same logic in create version.
Comment 4 Alex Eng 2013-02-11 19:53:20 EST
Implemented 'copy' of projectType from Project.

See 
https://github.com/zanata/zanata/commit/2ffd712a1652af4c797b5e47bb60451ff3303bc5
Comment 5 Ding-Yi Chen 2013-02-15 02:20:03 EST
VERIFIED with Zanata version 2.2-SNAPSHOT (20130215-1232)
Comment 6 Sean Flanigan 2013-11-26 22:13:21 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 7 Sean Flanigan 2013-11-26 22:15:25 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 8 Sean Flanigan 2013-11-26 22:18:40 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 9 Sean Flanigan 2013-11-26 22:23:16 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 10 Sean Flanigan 2013-11-26 22:33:19 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 11 Sean Flanigan 2013-11-26 22:35:35 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.